Skip to main content

Create External Account


Overview

You can create one or multiple external accounts for a customer or program manager using the POST method as described below.


Resource Access

Production (api.ahrvo.network)

POST https://api.ahrvo.network/banking/us2/v1/customer/id/{customerId}/externalAccount

Staging (gateway.ahrvo.network)

POST https://gateway.ahrvo.network/banking/us2/v1/customer/id/{customerId}/externalAccount

Arguments

AttributeM / ONotes
externalIdOClient reference
holderNameMAccount-holder’s full name
holderPhoneOE.164 or local format
holderAddress.addressLine1O
holderAddress.addressLine2O
holderAddress.cityM
holderAddress.stateMTwo-letter code
holderAddress.zipM5- or 9-digit ZIP
accountNumberMNumeric string
routingNumberM9-digit ABA
wireRoutingNumberOFor wires (if different)
typeMCHECKING, SAVINGS, etc.
holderTypeMCONSUMER | BUSINESS
purposeOFree-form description
validateAccount.ewsOtrue to perform EWS
prenoteOALWAYS, NEVER, etc.
microDepositOALWAYS, NEVER, etc.
metaDataOUp to 20 key–value pairs
tagsOArray of labels
linkedDocument.purposeMReason for document
linkedDocument.document.documentTypeMMIME/enum value
linkedDocument.document.nameMFile name
linkedDocument.document.base64encodedContentMBase-64 payload
linkedDocument.document.externalIdODocument reference
commentOInternal note

Example Request

Create an external account for a customer

POST /v1/customer/id/4052981/externalAccount HTTP/1.1
Host: {placeholder("hostname")}
Authorization: Bearer {placeholder("JWT token")}
x-api-key: {apiKey}
Content-Type: application/json
{
"externalId": "EID289742235111783196",
"holderName": "Jon Francis",
"holderPhone": "573-986-1372",
"holderAddress": {
"addressLine1": "999",
"addressLine2": "GT1 KMB",
"city": "Arizona",
"state": "AZ",
"zip": "85002"
},
"accountNumber": "558299892760001",
"type": "SAVINGS",
"routingNumber": "011000015",
"wireRoutingNumber": "011000015",
"holderType": "CONSUMER",
"comment": "Jon's account",
"tags": [
"Jon's external acc"
],
"metaData": {
"label": "EA for Jon"
},
"validateAccount": [
{
"ews": true
}
],
"microDeposit": "NEVER",
"prenote": "NEVER"
}

Example Response

HTTP/1.1 201 Created
Content-Type: application/json
Location: /banking/us2/v1/customer/4052981/externalAccount/id/3
{
"url": "v1/customer/4052981/externalAccount/id/3"
}


Interactive API Documentation